<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Image Upload Response</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f4f4f4;
        }

        header {
            background-color: #333;
            color: #fff;
            text-align: center;
            padding: 1em 0;
        }

        .container {
            width: 80%;
            margin: 0 auto;
            overflow: hidden;
        }

        .response {
            background: #fff;
            padding: 20px;
            margin: 20px 0;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            text-align: center;
        }

        .response p {
            color: #333;
        }

        .image-container {
            margin-top: 20px;
        }

        .home-button {
            display: block;
            margin-top: 20px;
            text-align: center;
        }

        .home-button a {
            text-decoration: none;
            background: #333;
            color: #fff;
            padding: 10px 15px;
            border-radius: 4px;
            display: inline-block;
        }

        .home-button a:hover {
            background: #555;
        }

        @media (max-width: 768px) {
            .response {
                width: 100%;
            }
        }
    </style>
</head>
<body>

    <header>
        <h1>Image Upload Response</h1>
    </header>

    <div class="container">

        <div class="response">
            <?php
            if (isset($_GET['filename'])) {
                $filename = $_GET['filename'];
                $imageURL = "img-cdn1/$filename";
                echo "<p>Upload successful! Image URL: <a href='$imageURL' target='_blank'>$imageURL</a></p>";
                
                // Display the uploaded image
                echo "<div class='image-container'>";
                echo "<img src='$imageURL' alt='Uploaded Image'>";
                echo "</div>";
            } else {
                echo "Invalid request.";
            }
            ?>
        </div>

        <div class="home-button">
            <a href="x20.html">Home</a>
        </div>

    </div>

</body>
</html>

